# keystoneauth1.noauth module

class keystoneauth1.noauth.NoAuth(endpoint: str | None = None)

  Bases: `FixedEndpointPlugin`

  A provider that will always use no auth.

  This is useful to unify session/adapter loading for services that might be deployed in standalone/noauth mode.

  __annotate_func__ = None
  __annotations_cache__ = {}
  __doc__ = 'A provider that will always use no auth.\n\nThis is useful to unify session/adapter loading for services\nthat might be deployed in standalone/noauth mode.\n'
  __firstlineno__ = 21
  __module__ = 'keystoneauth1.noauth'
  __static_attributes__ = ()
  get_token(session: ks_session.Session) → str | None

    Obtain a token.

    How the token is obtained is up to the plugin. If it is still valid it may be re-used, retrieved from cache or invoke an authentication request against a server.

    Returning None will indicate that no token was able to be retrieved.

    This function is misplaced as it should only be required for auth plugins that use the ‘X-Auth-Token’ header. However due to the way plugins evolved this method is required and often called to trigger an authentication request on a new plugin.

    When implementing a new plugin it is advised that you implement this method, however if you don’t require the ‘X-Auth-Token’ header override the get_headers method instead.

    Parameters:

      session (keystoneauth1.session.Session) – A session object so the plugin can make HTTP calls.

    Returns:

      A token to use.

    Return type:

      string

this page last updated: 2026-07-14 15:48:40

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug